part of 'result_bloc.dart';

abstract class ResultState extends Equatable {
  const ResultState();

  @override
  List<Object> get props => [];
}

class ResultInitial extends ResultState {
  const ResultInitial();
}

class ResultLoading extends ResultState {
  const ResultLoading();
}

class ResultReady extends ResultState {
  const ResultReady();
}

class ResultError extends ResultState {
  final String error;
  const ResultError({required this.error});

  @override
  List<Object> get props => [this.error];
}
